var http;
	var idControl;
	function ocultalista(id,archivo){
		http=getXmlHttpObject();
		http.open("GET",archivo,true);
		idControl=id;
		http.onreadystatechange=handleHttpResponse;
		http.send(null);
	}
	function getXmlHttpObject(){
		var xmlhttp;
			try
			{
				xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
			}
			catch(e)
			{
				try
				{
					xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
				}
				catch(e)
				{
					try
					{
						xmlhttp=new XMLHttpResponse();
					}
					catch(e)
					{
						xmlhttp=false;
						alert('error');
					}
				}
			}
		return xmlhttp;
	}
	function handleHttpResponse(){
		if(http.readyState==4)
		{
			if(confi==1){
			document.getElementById(idControl).innerHTML="none";
			}else if(confi==0){
			results=http.responseText;
			document.getElementById(idControl).innerHTML=results;
			}
			
		}
	}
function objetoAjax(){
	var xmlhttp=false;
	try{
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	}catch(e){
		try{
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}catch(E){
			xmlhttp = false;
  		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}	

function EditarDatos(cod,indice){
	//donde se mostrará el formulario con los datos
	
	divCuerpo.value[indice] = document.getElementById('det_per');
	
	//divCuerpo[indice].innerHTML= '<img src="imagen/anim.gif">';
	
	//instanciamos el objetoAjax
	ajax=objetoAjax();
	//uso del medotod POST
	ajax.open("POST", "p_per_det_editar.php",true);
	ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
			//mostrar resultados en esta capa
			
			divCuerpo.value[indice].innerHTML = ajax.responseText
			divCuerpo.value[indice].style.display="block";
			
		}
	}
	//como hacemos uso del metodo POST
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	//enviando el codigo del empleado
	ajax.send("cod_transper="+cod)
}
